CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
booster::shared_mutex Class Reference

Shared mutex or a.k.a. Read-Write Lock. More...

`#include <booster/booster/thread.h>`

Inheritance diagram for booster::shared_mutex:

## Public Member Functions
void | lock ()
void | unique_lock ()
void | shared_lock ()
void | unlock ()

## Detailed Description

Shared mutex or a.k.a. Read-Write Lock.

This class provides two options of locking unique - nobody but me can use the object shared anybody with shared lock can use the object.

## Member Function Documentation

void booster::shared_mutex::lock | ( |  | ) |
| inline

Same as unique_lock()

void booster::shared_mutex::shared_lock | ( |  | ) |

Acquire a shared lock on the object.

See also
  booster::shared_lock

Note this function is not recursive

void booster::shared_mutex::unique_lock | ( |  | ) |

Acquire a unique lock on the object.

See also
  booster::unique_lock

void booster::shared_mutex::unlock | ( |  | ) |

Release the lock

The documentation for this class was generated from the following file:

- booster/thread.h